

function [ ph, lowResMet, met ] = makePhantom( ds )
  ph = phantom();

  % Make a high resolution metabolic image with interesting properties
  sPh = size( ph );

  rx = 10;
  ry = 20;
  ell = makeEllipticalImage( sPh, rx, ry );
  ellMask = ell <= 0;

  [~,ys] = meshgrid( 1:sPh(2), 1:sPh(1) );
  ys = ys - sPh(2) / 2;

  ell = zeros( sPh );
  ell( ellMask & ys >= 0 ) = 0.9;
  ell( ellMask & ys < 0 ) = 0.5;

  met = shiftImg( ell, [ 50 -50 ] ) + ...
        shiftImg( ell, [ -65 25 ] );

  tumor = zeros( sPh );
  tumor( 202:209, 134 ) = 1;
  tumor( 201:211, 135 ) = 1;
  tumor( 200:211, 136 ) = 1;
  tumor( 201:211, 137 ) = 1;
  tumor( 202:210, 138 ) = 1;
  tumor( 205:207, 139 ) = 1;

  met = met + 0.9 * tumor;


  rad = makeRadialImg( sPh, round( sPh ) / 2 + [ -61 -11 ] ) <= 10;
  met = met + 0.8 * rad;


  %ell2 = makeEllipticalImage( sPh, 3, 6 );
  %ell2 = ( ell2 <= 0 ) * 0.5;
	%met = met + shiftImg( ell2, [ 78 7 ] );


	%figure; imshowscale( met + ph, 5 );
  %figure; imshowscale( ph, 5 );
  %figure; imshowscale( met, 5, 'range', [0 1] );

  smoothed = smoothImg( met, 'gaussian', ds/2 );
  %figure; imshowscale( smoothed, 5 )

  lowResMet = smoothed( round(ds/2) : ds : end, round(ds/2) : ds : end );
  %lowResMet = imresize( lowResMet, sPh );
  %figure; imshowscale( lowResMet, 5 );

end
